html, body {
	margin: 0;
	width: 100%;
	height: 100%;
    background-color: #222222;
    font-weight: 700;
    font-family: 'Oswald', sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
  -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Chrome/Safari/Opera */
     -khtml-user-select: none; /* Konqueror */
       -moz-user-select: none; /* Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none; /* Non-prefixed version, currently
                                  not supported by any browser */

}

#content {
    width: 100%;
    margin: auto;
    padding: 0px;
}

#main_text {
    text-align: left;
}

.container {
    padding: 100px 100px;
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0px;
    left: 0px;
    box-sizing: border-box;
}

#top_line, #bottom_line, #locate_button.active, #refresh_button {
    background-color: white;
    color: #222222;
    font-size: 120px;
    padding: 3px 20px;
    line-height: 120px;
    display: inline-block;
    text-transform: uppercase;
    vertical-align: top;
}

#locate_button.active, #refresh_button {
    cursor: pointer;
    font-size: 32px;
    line-height: 32px;
    box-shadow: 7px 7px 0px #555;
}

#refresh_button {
    position: absolute;
    box-shadow: 3px 3px 0px #555;
}

#locate_button.active:hover, #refresh_button:hover {
    cursor: pointer;
    margin-top: 2px;
    margin-left: 2px;
    box-shadow: 5px 5px 0px #555;
}

#refresh_button:hover {
    box-shadow: 1px 1px 0px #555;
}

#locate_button {
    box-shadow: 0px 0px 0px #555;
    background-color: transparent;
    color: white;
    font-size: 20px;
    padding: 0px;
    text-transform: uppercase;
    font-size: 32px;
}

#locate_button.active:active, #refresh_button:active {
    cursor: pointer;
    margin-top: 5px;
    margin-left: 5px;
    box-shadow: 0px 0px 0px #555;
}

#start {
    height: 200px;
    position: absolute;
    top: 50%;
    margin-top: -100px;
}

#end {
    position: relative;
}

#distance_line, #distance_ending {
    font-size: 120px;
    color: white;
    text-transform: uppercase;
    display: inline-block;
}

#intro_text {
    font-size: 35px;
    color: white;
    text-transform: uppercase;
}

.bottom_dash {
    background-color: #ff0000;
    height: 4px;
    width: 60px;
    margin-top: 25px;
    margin-bottom: 25px;
}

#share_button {
    font-size: 20px;
    display: inline-block;
    padding: 0px 3px;
    margin-top: 100px;
    background-color: white;
    color: #222222;
    text-transform: uppercase;
    cursor: pointer;
    position: fixed;
    bottom: 30px;
}

#share_button.active {
    color: white;
    background-color: #222222;
}

.hidden {
    display: none !important;
}


.no-browser-support {
  font-size: 18px;
  opacity: 0;
}

.noselect {
  -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Chrome/Safari/Opera */
     -khtml-user-select: none; /* Konqueror */
       -moz-user-select: none; /* Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none; /* Non-prefixed version, currently
                                  not supported by any browser */
}

#footer {
    position: fixed;
    bottom: 30px;
    right: 30px;
    height: 60px;
    width: 60px;
}

#star {
    display: inline;
    vertical-align: top;
    color: white;
    font-size: 70px;
    margin-left: 6px;
    position: relative;
    top: 0px;
    -webkit-animation: bounce 2s infinite;
    animation: bounce 2s infinite;
    cursor: pointer;
}

#star:hover {
    opacity: .5;
}

.bolditalic {
    font-weight: 700;
    font-style: italic;
    letter-spacing: 1px;
}

.plus_star {
    font-size: 18px;
    color: white;
    font-weight: 300;
    text-transform: uppercase;
    margin-bottom: 20px;
    width: 80%;
    max-width: 645px;
}

.outdent {
    position: absolute;
    left: -10px;
}

/* Scroll down indicator (bouncing) */
@-webkit-keyframes bounce {
    0%, 20%, 50%, 80%, 100% { top: 0px };
    40% { top: -30px; }
    60% { top:-15px; }
}
@-moz-keyframes bounce {
    0%, 20%, 50%, 80%, 100% { top: 0px };
    40% { top: -30px; }
    60% { top:-15px; }
}
@keyframes bounce {
    0%, 20%, 50%, 80%, 100% { top: 0px };
    40% { top: -30px; }
    60% { top:-15px; }
}
    
    
sup {
    position: absolute;
    margin-top: -10px;
}

.loading:after {
  overflow: hidden;
  display: inline-block;
  vertical-align: bottom;
  -webkit-animation: ellipsis steps(4,end) 900ms infinite;      
  animation: ellipsis steps(4,end) 900ms infinite;
  content: "\2026"; /* ascii code for the ellipsis character */
  width: 0px;
}

#tracking {
    color: #999999;
    text-transform: uppercase;
    letter-spacing: 2px;
    font-size: 9px;
    font-family: arial;
    font-weight: 100;
    position: absolute;
    margin-top: -20px;
}

@keyframes ellipsis {
  to {
    width: 1em;    
  }
}

@-webkit-keyframes ellipsis {
  to {
    width: 1em;    
  }
}

.elementToFadeInAndOut {
    opacity: 1;
    animation: fade 2s 100 linear;
}


@keyframes fade {
  0%,100% { opacity: 0 }
  50% { opacity: 1 }
}

#share_container {    
    width: 100%;
    position: fixed;
    bottom: 25px;
    margin-top: 100px;
    left: 180px;
}

#share_container div {
    width: 30px;
    height: 30px;
    display: inline-block;
    margin-right: 20px;
    background-image: url(../img/share_icons.png);
    background-repeat: no-repeat;
    background-size: 90px;
    background-position: 0px 0px;
    cursor: pointer;
}

#share_container div:hover {
    opacity: .5;
}


#twitter {
    background-position: 0px -30px !important;
}

#instagram {
    background-position: 0px -60px !important;
}

#google {
    background-position: 0px -90px !important;
}


@media (max-height: 750px) {
    #top_line, #bottom_line, #locate_button, #distance_line, #distance_ending {
        font-size: 70px;
        line-height: 84px;
        margin-bottom: 5px;
    }
    
    #top_line, #bottom_line, #locate_button.active, #refresh_button {
        padding: 3px 10px;
    }
    
    #locate_button {
        padding: 0px;
        line-height: 30px;
    }

    
    #share_button, #share_container {
        margin-top: 30px;
    }
    
    .plus_star {
        font-size: 15px;
    }
    
    #star {
        font-size: 40px;
        margin-left: -3px;
        line-height: 30px;
    }
    
    #locate_button {
        font-size: 25px;
    }
    
    /* Scroll down indicator (bouncing) */
    @-webkit-keyframes bounce {
        0%, 20%, 50%, 80%, 100% { top: 0px };
        40% { top: -20px; }
        60% { top:-10px; }
    }
    @-moz-keyframes bounce {
        0%, 20%, 50%, 80%, 100% { top: 0px };
        40% { top: -20px; }
        60% { top:-10px; }
    }
    @keyframes bounce {
        0%, 20%, 50%, 80%, 100% { top: 0px };
        40% { top: -20px; }
        60% { top:-10px; }
    }

}

@media (max-height: 550px) {
    .container {
        padding: 30px 100px;
    }
}

@media (max-width: 1100px) {
    
    #top_line, #bottom_line, #distance_line, #distance_ending {
        font-size: 100px;
        line-height: 100px;
    }
    
    #distance_line, #distance_ending {
        font-size: 100px;
        line-height: 140px;
    }
    
}


@media (max-width: 960px) {
    
    #top_line, #bottom_line, #locate_button {
        font-size: 85px;
        line-height: 85px;
        margin-bottom: 5px;
        padding: 5px; 
    }
    
    #distance_line, #distance_ending {
        font-size: 85px;
        line-height: 120px;
    }
    
    #locate_button {
        padding: 0px;
    }
    
    #locate_button {
        padding: 0px;
        line-height: 30px;
    }
    
    #intro_text {
        font-size: 25px;
        line-height: 25px;
    }
    
    .container {
        max-width: 100%;
        padding: 80px 80px;
    }
    
    #start {
        width: 100%;
        padding-left: 5%;
        left: 0px;
        box-sizing: border-box;
    }
    
    #star {
        font-size: 50px;
        margin-left: -4px;
        line-height: 40px;
    }
    
    #refresh_button {
        padding: 0px 15px;
        font-size: 23px;
        box-shadow: 3px 3px 0px #555;
    }
    
    #locate_button {
        font-size: 20px;
    }
}



@media (max-width: 800px) {
    
    #top_line, #bottom_line, #distance_line, #distance_ending {
        font-size: 80px;
        line-height: 80px;
    }
    
    #distance_line, #distance_ending {
        font-size: 80px;
        line-height: 100px;
    }
    
}

@media (max-width: 750px) {
    
    #top_line, #bottom_line, #distance_line, #distance_ending {
        font-size: 70px;
        line-height: 70px;
    }
    
    #distance_line, #distance_ending {
        font-size: 70px;
        line-height: 90px;
    }
    
}

@media (max-width: 680px) {
    
    #top_line, #bottom_line, #distance_line, #distance_ending {
        font-size: 60px;
        line-height: 60px;
    }
    
    #distance_line, #distance_ending {
        font-size: 70px;
        line-height: 90px;
    }
    
}

@media (max-width: 600px) {
    
    #top_line, #bottom_line, #distance_line, #distance_ending {
        font-size: 52px;
        line-height: 52px;
    }
    
    #distance_line, #distance_ending {
        font-size: 52px;
        line-height: 72px;
    }
    
    .container {
        padding: 60px 40px;
    }
    
}
@media (max-width: 500px) {
    
    #top_line, #bottom_line, #distance_line, #distance_ending {
        font-size: 42px;
        line-height: 42px;
    }
    
    #distance_line, #distance_ending {
        font-size: 42px;
        line-height: 62px;
    }
    
    .container {
        padding: 60px 30px;
    }
    
    #tracking {
        margin-top: -15px;
    }
    
    .plus_star {
        font-size: 13px;
        width: 100%;
        margin-top: 30px;
    }
    
    #star {
        font-size: 35px;
        margin-left: 0px;
    }
    
    #share_container {
        left: 100px;
    }
}




@media (max-width: 480px) {
    
    #intro_text {
        font-size: 20px;
        line-height: 20px;
    }
    
    .bottom_dash {
        margin-top: 20px;
        margin-bottom: 20px;
    }
    
    #locate_button.active, #refresh_button {
        font-size: 20px;
        line-height: 22px;
    }
    
    #footer {
        height: 30px;
        width: 50px;
    }

}

